
D4Science Infrastructure - Incident #5036

Users Management portlet: exception during user removal

Sep 15, 2016 12:49 PM - Massimiliano Assante

Status: Closed Start date: Sep 15, 2016

Priority: Normal Due date: Sep 23, 2016

Assignee: Panagiota Koltsida % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: UnSprintable   

Infrastructure: Production   

Description

I selected a user, clicked on deleted selected without notification via email, the portlet popped up an error (but the user was removed)

here's the stack trace

2016-09-15 10:46:48,135 INFO  usersmanagementportlet.UsersManagementPortletHome [http-bio-9090-exe

c-141,removeUsersFromGroup:633] %10:46:48,135 INFO  [http-bio-9090-exec-141][UsersManagementPortle

tHome:633] Removing all roles from user succeeded

Sep 15, 2016 10:46:48 AM org.apache.catalina.core.ApplicationDispatcher invoke

SEVERE: Servlet.service() for servlet UsersManagement Servlet threw exception

java.lang.NullPointerException

    at org.gcube.portlets.admin.usersmanagementportlet.UsersManagementPortletHome.removeUsersFromG

roup(UsersManagementPortletHome.java:639)

    at org.gcube.portlets.admin.usersmanagementportlet.UsersManagementPortletHome.currentUsersTabl

eSection(UsersManagementPortletHome.java:712)

    at org.gcube.portlets.admin.usersmanagementportlet.UsersManagementPortletHome.serveResource(Us

ersManagementPortletHome.java:95)

    at com.liferay.portlet.FilterChainImpl.doFilter(FilterChainImpl.java:122)

    at com.liferay.portlet.ScriptDataPortletFilter.doFilter(ScriptDataPortletFilter.java:82)

    at com.liferay.portlet.FilterChainImpl.doFilter(FilterChainImpl.java:116)

    at com.liferay.portal.kernel.portlet.PortletFilterUtil.doFilter(PortletFilterUtil.java:71)

    at com.liferay.portal.kernel.servlet.PortletServlet.service(PortletServlet.java:112)

    at javax.servlet.http.HttpServlet.service(HttpServlet.java:731)

    at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.jav

a:303)

    at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:208)

    at org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:52)

    at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.jav

a:241)

    at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:208)

    at com.liferay.portal.kernel.servlet.filters.invoker.InvokerFilterChain.doFilter(InvokerFilter

Chain.java:116)

    at com.liferay.portal.kernel.servlet.filters.invoker.InvokerFilter.doFilter(InvokerFilter.java

:119)

    at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.jav

a:241)

    at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:208)

    at org.apache.catalina.core.ApplicationDispatcher.invoke(ApplicationDispatcher.java:748)

    at org.apache.catalina.core.ApplicationDispatcher.processRequest(ApplicationDispatcher.java:48

6)

    at org.apache.catalina.core.ApplicationDispatcher.doForward(ApplicationDispatcher.java:411)

    at org.apache.catalina.core.ApplicationDispatcher.forward(ApplicationDispatcher.java:338)

    at com.liferay.portlet.InvokerPortletImpl.invoke(InvokerPortletImpl.java:580)

    at com.liferay.portlet.InvokerPortletImpl.invokeResource(InvokerPortletImpl.java:675)

    at com.liferay.portlet.InvokerPortletImpl.serveResource(InvokerPortletImpl.java:441)

    at com.liferay.portlet.PortletContainerImpl._doServeResource(PortletContainerImpl.java:775)

    at com.liferay.portlet.PortletContainerImpl.serveResource(PortletContainerImpl.java:149)

    at com.liferay.portlet.SecurityPortletContainerWrapper.serveResource(SecurityPortletContainerW

rapper.java:166)

    at com.liferay.portlet.RestrictPortletContainerWrapper.serveResource(RestrictPortletContainerW

rapper.java:166)

    at com.liferay.portal.kernel.portlet.PortletContainerUtil.serveResource(PortletContainerUtil.j
ava:164)

    at com.liferay.portal.action.LayoutAction.processLayout(LayoutAction.java:394)

    at com.liferay.portal.action.LayoutAction.doExecute(LayoutAction.java:200)

    at com.liferay.portal.action.LayoutAction.execute(LayoutAction.java:95)

    at org.apache.struts.action.RequestProcessor.processActionPerform(RequestProcessor.java:431)

    at org.apache.struts.action.RequestProcessor.process(RequestProcessor.java:236)

    at com.liferay.portal.struts.PortalRequestProcessor.process(PortalRequestProcessor.java:168)

    at org.apache.struts.action.ActionServlet.process(ActionServlet.java:1196)

    at org.apache.struts.action.ActionServlet.doPost(ActionServlet.java:432)

    at javax.servlet.http.HttpServlet.service(HttpServlet.java:650)

    at com.liferay.portal.servlet.MainServlet.callParentService(MainServlet.java:557)

    at com.liferay.portal.servlet.MainServlet.service(MainServlet.java:534)

    at javax.servlet.http.HttpServlet.service(HttpServlet.java:731)

    at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.jav

a:303)

    at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:208)

    at org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:52)

    at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.jav

a:241)

    at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:208)

    at com.liferay.portal.kernel.servlet.filters.invoker.InvokerFilterChain.doFilter(InvokerFilter

Chain.java:116)

    at com.liferay.portal.kernel.servlet.BaseFilter.processFilter(BaseFilter.java:169)

    at com.liferay.portal.servlet.filters.uploadservletrequest.UploadServletRequestFilter.processF

ilter(UploadServletRequestFilter.java:93)

    at com.liferay.portal.kernel.servlet.BaseFilter.doFilter(BaseFilter.java:59)

    at com.liferay.portal.kernel.servlet.filters.invoker.InvokerFilterChain.processDoFilter(Invoke

rFilterChain.java:204)

    at com.liferay.portal.kernel.servlet.filters.invoker.InvokerFilterChain.doFilter(InvokerFilter

Chain.java:109)

    at com.liferay.portal.kernel.servlet.BaseFilter.processFilter(BaseFilter.java:169)

    at com.liferay.portal.servlet.filters.secure.SecureFilter.processFilter(SecureFilter.java:308)

    at com.liferay.portal.kernel.servlet.BaseFilter.doFilter(BaseFilter.java:59)

    at com.liferay.portal.kernel.servlet.filters.invoker.InvokerFilterChain.processDoFilter(Invoke

rFilterChain.java:204)

    at com.liferay.portal.kernel.servlet.filters.invoker.InvokerFilterChain.doFilter(InvokerFilter

Chain.java:109)

    at com.liferay.portal.kernel.servlet.BaseFilter.processFilter(BaseFilter.java:169)

    at com.liferay.portal.servlet.filters.jsoncontenttype.JSONContentTypeFilter.processFilter(JSON

ContentTypeFilter.java:42)

    at com.liferay.portal.kernel.servlet.BaseFilter.doFilter(BaseFilter.java:59)

    at com.liferay.portal.kernel.servlet.filters.invoker.InvokerFilterChain.processDoFilter(Invoke

rFilterChain.java:204)

    at com.liferay.portal.kernel.servlet.filters.invoker.InvokerFilterChain.doFilter(InvokerFilter

Chain.java:109)

    at com.liferay.portal.kernel.servlet.filters.invoker.InvokerFilter.doFilter(InvokerFilter.java

:119)

    at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.jav

a:241)

    at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:208)

    at org.apache.catalina.core.ApplicationDispatcher.invoke(ApplicationDispatcher.java:748)

    at org.apache.catalina.core.ApplicationDispatcher.processRequest(ApplicationDispatcher.java:48

6)

    at org.apache.catalina.core.ApplicationDispatcher.doForward(ApplicationDispatcher.java:411)

    at org.apache.catalina.core.ApplicationDispatcher.forward(ApplicationDispatcher.java:338)

    at com.liferay.portal.servlet.FriendlyURLServlet.service(FriendlyURLServlet.java:161)

    at javax.servlet.http.HttpServlet.service(HttpServlet.java:731)

    at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.jav

a:303)

    at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:208)

    at org.apache.tomcat.websocket.server.WsFilter.doFilter(WsFilter.java:52)

    at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.jav

a:241)

    at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:208)

    at com.liferay.portal.kernel.servlet.filters.invoker.InvokerFilterChain.doFilter(InvokerFilter

Chain.java:116)

    at com.liferay.portal.kernel.servlet.BaseFilter.processFilter(BaseFilter.java:169)
    at com.liferay.portal.servlet.filters.uploadservletrequest.UploadServletRequestFilter.processF

ilter(UploadServletRequestFilter.java:93)

    at com.liferay.portal.kernel.servlet.BaseFilter.doFilter(BaseFilter.java:59)

    at com.liferay.portal.kernel.servlet.filters.invoker.InvokerFilterChain.processDoFilter(Invoke

rFilterChain.java:204)

    at com.liferay.portal.kernel.servlet.filters.invoker.InvokerFilterChain.doFilter(InvokerFilter

Chain.java:109)

    at com.liferay.portal.kernel.servlet.BaseFilter.processFilter(BaseFilter.java:169)

    at com.liferay.portal.servlet.filters.gzip.GZipFilter.processFilter(GZipFilter.java:123)

    at com.liferay.portal.kernel.servlet.BaseFilter.doFilter(BaseFilter.java:59)

    at com.liferay.portal.kernel.servlet.filters.invoker.InvokerFilterChain.processDoFilter(Invoke

rFilterChain.java:204)

    at com.liferay.portal.kernel.servlet.filters.invoker.InvokerFilterChain.doFilter(InvokerFilter

Chain.java:109)

    at com.liferay.portal.kernel.servlet.BaseFilter.processFilter(BaseFilter.java:169)

    at com.liferay.portal.servlet.filters.secure.SecureFilter.processFilter(SecureFilter.java:308)

    at com.liferay.portal.kernel.servlet.BaseFilter.doFilter(BaseFilter.java:59)

    at com.liferay.portal.kernel.servlet.filters.invoker.InvokerFilterChain.processDoFilter(Invoke

rFilterChain.java:204)

    at com.liferay.portal.kernel.servlet.filters.invoker.InvokerFilterChain.doFilter(InvokerFilter

Chain.java:109)

    at com.liferay.portal.kernel.servlet.BaseFilter.processFilter(BaseFilter.java:169)

    at com.liferay.portal.servlet.filters.i18n.I18nFilter.processFilter(I18nFilter.java:254)

    at com.liferay.portal.kernel.servlet.BaseFilter.doFilter(BaseFilter.java:59)

    at com.liferay.portal.kernel.servlet.filters.invoker.InvokerFilterChain.processDoFilter(Invoke

rFilterChain.java:204)

    at com.liferay.portal.kernel.servlet.filters.invoker.InvokerFilterChain.doFilter(InvokerFilter

Chain.java:109)

    at com.liferay.portal.kernel.servlet.BaseFilter.processFilter(BaseFilter.java:169)

    at com.liferay.portal.servlet.filters.etag.ETagFilter.processFilter(ETagFilter.java:86)

    at com.liferay.portal.kernel.servlet.BaseFilter.doFilter(BaseFilter.java:59)

    at com.liferay.portal.kernel.servlet.filters.invoker.InvokerFilterChain.processDoFilter(Invoke

rFilterChain.java:204)

    at com.liferay.portal.kernel.servlet.filters.invoker.InvokerFilterChain.doFilter(InvokerFilter

Chain.java:109)

    at com.liferay.portal.kernel.servlet.BaseFilter.processFilter(BaseFilter.java:169)

    at com.liferay.portal.servlet.filters.jsoncontenttype.JSONContentTypeFilter.processFilter(JSON

ContentTypeFilter.java:42)

    at com.liferay.portal.kernel.servlet.BaseFilter.doFilter(BaseFilter.java:59)

    at com.liferay.portal.kernel.servlet.filters.invoker.InvokerFilterChain.processDoFilter(Invoke

rFilterChain.java:204)

    at com.liferay.portal.kernel.servlet.filters.invoker.InvokerFilterChain.doFilter(InvokerFilter

Chain.java:109)

    at com.liferay.portal.kernel.servlet.BaseFilter.processFilter(BaseFilter.java:169)

    at com.liferay.portal.servlet.filters.autologin.AutoLoginFilter.processFilter(AutoLoginFilter.

java:268)

    at com.liferay.portal.kernel.servlet.BaseFilter.doFilter(BaseFilter.java:59)

    at com.liferay.portal.kernel.servlet.filters.invoker.InvokerFilterChain.processDoFilter(Invoke

rFilterChain.java:204)

    at com.liferay.portal.kernel.servlet.filters.invoker.InvokerFilterChain.doFilter(InvokerFilter

Chain.java:109)

    at com.liferay.portal.kernel.servlet.BaseFilter.processFilter(BaseFilter.java:169)

    at com.liferay.portal.servlet.filters.sso.ntlm.NtlmPostFilter.processFilter(NtlmPostFilter.jav

a:83)

    at com.liferay.portal.kernel.servlet.BaseFilter.doFilter(BaseFilter.java:59)

    at com.liferay.portal.kernel.servlet.filters.invoker.InvokerFilterChain.processDoFilter(Invoke

rFilterChain.java:204)

    at com.liferay.portal.kernel.servlet.filters.invoker.InvokerFilterChain.doFilter(InvokerFilter

Chain.java:109)

    at com.liferay.portal.kernel.servlet.BaseFilter.processFilter(BaseFilter.java:169)

    at com.liferay.portal.sharepoint.SharepointFilter.processFilter(SharepointFilter.java:88)

    at com.liferay.portal.kernel.servlet.BaseFilter.doFilter(BaseFilter.java:59)

    at com.liferay.portal.kernel.servlet.filters.invoker.InvokerFilterChain.processDoFilter(Invoke

rFilterChain.java:204)

    at com.liferay.portal.kernel.servlet.filters.invoker.InvokerFilterChain.doFilter(InvokerFilter

Chain.java:109)

    at com.liferay.portal.kernel.servlet.BaseFilter.processFilter(BaseFilter.java:169)
    at com.liferay.portal.servlet.filters.virtualhost.VirtualHostFilter.processFilter(VirtualHostF

ilter.java:226)

    at com.liferay.portal.kernel.servlet.BaseFilter.doFilter(BaseFilter.java:59)

    at com.liferay.portal.kernel.servlet.filters.invoker.InvokerFilterChain.processDoFilter(Invoke

rFilterChain.java:204)

    at com.liferay.portal.kernel.servlet.filters.invoker.InvokerFilterChain.doFilter(InvokerFilter

Chain.java:109)

    at com.liferay.portal.kernel.servlet.filters.invoker.InvokerFilterChain.processDirectCallFilte

r(InvokerFilterChain.java:185)

    at com.liferay.portal.kernel.servlet.filters.invoker.InvokerFilterChain.doFilter(InvokerFilter

Chain.java:96)

    at org.tuckey.web.filters.urlrewrite.UrlRewriteFilter.doFilter(UrlRewriteFilter.java:738)

    at com.liferay.portal.servlet.filters.urlrewrite.UrlRewriteFilter.processFilter(UrlRewriteFilt

er.java:57)

    at com.liferay.portal.kernel.servlet.BaseFilter.doFilter(BaseFilter.java:59)

    at com.liferay.portal.kernel.servlet.filters.invoker.InvokerFilterChain.processDoFilter(Invoke

rFilterChain.java:204)

    at com.liferay.portal.kernel.servlet.filters.invoker.InvokerFilterChain.doFilter(InvokerFilter

Chain.java:109)

    at com.liferay.portal.kernel.servlet.filters.invoker.InvokerFilterChain.processDirectCallFilte

r(InvokerFilterChain.java:165)

    at com.liferay.portal.kernel.servlet.filters.invoker.InvokerFilterChain.doFilter(InvokerFilter

Chain.java:96)

    at com.liferay.portal.kernel.servlet.filters.invoker.InvokerFilterChain.processDirectCallFilte

r(InvokerFilterChain.java:165)

    at com.liferay.portal.kernel.servlet.filters.invoker.InvokerFilterChain.doFilter(InvokerFilter

Chain.java:96)

    at com.liferay.portal.kernel.servlet.filters.invoker.InvokerFilterChain.processDirectCallFilte

r(InvokerFilterChain.java:185)

    at com.liferay.portal.kernel.servlet.filters.invoker.InvokerFilterChain.doFilter(InvokerFilter

Chain.java:96)

    at com.liferay.portal.kernel.servlet.filters.invoker.InvokerFilter.doFilter(InvokerFilter.java

:119)

    at org.apache.catalina.core.ApplicationFilterChain.internalDoFilter(ApplicationFilterChain.jav

a:241)

    at org.apache.catalina.core.ApplicationFilterChain.doFilter(ApplicationFilterChain.java:208)

    at org.apache.catalina.core.StandardWrapperValve.invoke(StandardWrapperValve.java:220)

    at org.apache.catalina.core.StandardContextValve.invoke(StandardContextValve.java:122)

    at org.apache.catalina.authenticator.AuthenticatorBase.invoke(AuthenticatorBase.java:505)

    at org.apache.catalina.core.StandardHostValve.invoke(StandardHostValve.java:170)

    at org.apache.catalina.valves.ErrorReportValve.invoke(ErrorReportValve.java:103)

    at org.apache.catalina.valves.AccessLogValve.invoke(AccessLogValve.java:957)

    at org.gcube.portal.threadlocalexec.SmartGearsPortalValve.invoke(SmartGearsPortalValve.java:29

)

    at org.apache.catalina.core.StandardEngineValve.invoke(StandardEngineValve.java:116)

    at org.apache.catalina.connector.CoyoteAdapter.service(CoyoteAdapter.java:423)

    at org.apache.coyote.http11.AbstractHttp11Processor.process(AbstractHttp11Processor.java:1079)

    at org.apache.coyote.AbstractProtocol$AbstractConnectionHandler.process(AbstractProtocol.java:

620)

    at org.apache.tomcat.util.net.JIoEndpoint$SocketProcessor.run(JIoEndpoint.java:316)

    at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1145)

    at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:615)

    at org.apache.tomcat.util.threads.TaskThread$WrappingRunnable.run(TaskThread.java:61)

    at java.lang.Thread.run(Thread.java:745)

History

#1 - Sep 16, 2016 12:39 PM - Panagiota Koltsida

- Status changed from New to In Progress

- % Done changed from 0 to 50

@massimiliano.assante@isti.cnr.it could you please clarify if the user you have tried to remove had been added to this group not with a "membership

request" action, but with another way?

It seems that this is the problem.
When you click on remove, it also tried to "update" the membership request of this user in order to allow him to request again access in the future. For

users, who are added by hand or using a different way a membership request does not exist and this seems to be the problem

#2 - Sep 16, 2016 12:42 PM - Massimiliano Assante

Yes, the user was added without membership requests, please take this into account when removing a user.

#3 - Sep 16, 2016 02:02 PM - Panagiota Koltsida

- % Done changed from 50 to 100

This case is also taken under account now

#4 - Sep 16, 2016 06:44 PM - Pasquale Pagano

If the fix has been implemented, please link the release ticket and close this one. Please remember that the time an incident is open contributes to

one of the quality indicator we measure and report to the EC. Thanks

#5 - Sep 17, 2016 11:27 AM - Panagiota Koltsida

- Status changed from In Progress to Closed
